<?php
include '../comunes_php/cors.php';

    $contrato_id = isset($_REQUEST['id']) ? $_REQUEST  ['id'] : '-1';

    $result = array();
    
    include '../rdb/conn.php';
    $where ="";
    if ($contrato_id <>'') {$where .= " and contrato_id = $contrato_id"; }
    
    $sql = "SELECT count(*) FROM ";
    $sql .= "estados_de_contrato   ";
    $sql .= "where 1  ";
    $sql .= $where;

    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    if ($result["total"] === 0) {exit;}  

   
    $sql = "SELECT ec.contrato_id,u.nombre usuario,ec.fecha,ec.observaciones,te.nombre,tipo_estado_id ";
    $sql .= "FROM estados_de_contrato ec ,tipo_estado_contratos te,usuarios u WHERE 1 ";
    $sql .= "and ec.tipo_estado_id=te.id and ec.usuario_id= u.id ";
    $sql .= $where;   

    $sql .= "     order by contrato_id,fecha desc";
    

    
    $rs = mysqli_query( $conn,$sql);
    
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;

    echo json_encode($result);

?>